Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] error with Vprotocol pessimist
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2008-01-30 10:52:31


On Jan 30, 2008, at 10:05 AM, Thomas Ropars wrote:

> Sorry, I made a mistake ... I works fine for me too with LT 1.5.22
>
> It seems that the problem is with LT 1.5.24
> With this version, I only have in my sys_dl_open():
> lt_module module = dlopen (filename, LT_LAZY_OR_NOW);

Yoinks! LT changed to private in 1.5.24? That's certainly unexpected
-- I thought that they were only going to make this change in the 2.x
series (but I didn't pay close attention). :-\

I believe that all of our distribution tarballs are made with LT 2.x,
so it shouldn't be an official problem. I don't know if any of our
developers use 1.5.24 (I don't).

If you'd like to submit a patch to fix the problem for 1.5.24, if it's
safe for all versions of LT, I'll be happy to apply it.

-- 
Jeff Squyres
Cisco Systems